All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
check_less.hpp File Reference
`#include <stan/math/prim/scal/err/domain_error.hpp>`
`#include <stan/math/prim/scal/err/domain_error_vec.hpp>`
`#include <stan/math/prim/scal/meta/is_vector_like.hpp>`
`#include <stan/math/prim/scal/meta/length.hpp>`
`#include <stan/math/prim/scal/meta/VectorView.hpp>`
`#include <functional>`
`#include <string>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T_y , typename T_high >
bool | stan::math::check_less (const char *function, const char *name, const T_y &y, const T_high &high)
| Return `true` if `y` is strictly less than `high`. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.